AiTranslator

List AI translators for a workspace admin

Lists the AI translator catalog available to a workspace admin (for the AI report filter and the default-translator modal). Same data as GET /api/v2/ai-translators, gated to super-admin OR the workspace admin.

GET
/api/v2/workspaces/{id}/ai-translators

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace UUID

Formatuuid

Query Parameters

limit?integer

Pagination limit

Default200
offset?integer

Pagination offset

Default0

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/ai-translators"
{  "aiTranslators": [    {      "id": "d3cb3f65-5b8b-4620-8480-5165621e1112",      "name": "ChatGPT"    }  ],  "pagination": {    "maxCount": 2  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}